cURL
curl --request GET \
--url https://api.grainfinance.co/v1/vendors \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.grainfinance.co/v1/vendors"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.grainfinance.co/v1/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vendors": [
{
"vendorId": "1b0ada1e-fa1b-4cfe-a553-01b340c5650e",
"externalVendorId": "vendor_001",
"contact": {
"fullName": "Acme Supplies Ltd",
"country": "US",
"city": "New York",
"email": "billing@acmesupplies.com",
"streetName": "Madison Avenue",
"buildingName": "383",
"postalCode": "10017",
"state": "NY",
"taxId": "901234567",
"phoneNumber": "+13212312321",
"companyRegisterNumber": "514455544"
},
"payoutMethods": [
{
"type": "SEPA",
"currency": "EUR",
"bankName": "JPMorgan Chase Bank, N.A.",
"bankCountry": "US",
"bankState": "NY",
"accountNumber": "8290041523",
"iban": "DE89370400440532013000",
"bicSwift": "CHASUS33XXX",
"routingCode": "021000021",
"bankCode": "004",
"branchCode": "081",
"sortCode": "560036",
"bsbCode": "082902",
"bankAddress": "383 Madison Avenue, New York, NY 10017"
}
],
"createdAt": "2026-05-15T09:12:28.000Z",
"updatedAt": "2026-05-15T09:12:28.000Z"
}
],
"pagination": {
"page": 2,
"perPage": 50.5,
"totalResults": 123
}
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}Vendors
List Vendors
Lists the partner’s vendors, ordered by name, including their contact details and payout methods.
GET
/
vendors
cURL
Authorizations
Basic authentication using the partner API keys from https://console.grainfinance.co/keys
Query Parameters
Filters vendors whose name contains the given text, case-insensitive.
The page indicating which set of items are returned
Required range:
x >= 1number of items in a page
Required range:
1 <= x <= 100